Loading...
Searching...
No Matches
docklet_ui_ops Struct Reference

## Data Fields

void(* | create )(void)
void(* | destroy )(void)
void(* | update_icon )(PurpleStatusPrimitive, gboolean, gboolean)
void(* | blank_icon )(void)
void(* | set_tooltip )(gchar *)
GtkMenuPositionFunc | position_menu

## Detailed Description

Definition at line 30 of file gtkdocklet.h.

## Field Documentation

## blank_icon

void(* docklet_ui_ops::blank_icon) (void)

Definition at line 35 of file gtkdocklet.h.

## create

void(* docklet_ui_ops::create) (void)

Definition at line 32 of file gtkdocklet.h.

## destroy

void(* docklet_ui_ops::destroy) (void)

Definition at line 33 of file gtkdocklet.h.

## position_menu

GtkMenuPositionFunc docklet_ui_ops::position_menu

Definition at line 37 of file gtkdocklet.h.

## set_tooltip

void(* docklet_ui_ops::set_tooltip) (gchar *)

Definition at line 36 of file gtkdocklet.h.

## update_icon

void(* docklet_ui_ops::update_icon) (PurpleStatusPrimitive, gboolean, gboolean)

Definition at line 34 of file gtkdocklet.h.

The documentation for this struct was generated from the following file:

- gtkdocklet.h